## structure-synth 1.5.0

=== debian/changelog ===
structure-synth (1.5.0-7) unstable; urgency=medium

  * Added patch include_climits.patch to fix FTCBFS. Closes: #975155
  * Upgraded Standards-Version from 4.4.0.1 to 4.5.1.0

 -- Miriam Ruiz <miriam@debian.org>  Wed, 03 Mar 2021 21:35:47 +0100

structure-synth (1.5.0-6) unstable; urgency=medium

  * Fix FTCBFS: (Closes: #930093). Lovely number, btw.
    + Build-Depends: qt5-qmake:native for running native qmake -project.
    + Select QT version using environment.
    + Use dh_auto_configure.
    + Thanks to Helmut Grohne.
  * Upgraded Standards-Version from 4.3.0.3 to 4.4.0.1

 -- Miriam Ruiz <miriam@debian.org>  Thu, 05 Sep 2019 22:05:11 +0200

structure-synth (1.5.0-5) unstable; urgency=medium

  * Upgraded Standards-Version from 4.2.1.2 to 4.3.0.3
  * Changed the build dependency from libqt5opengl5-dev
    to libqt5opengl5-desktop-dev. Closes: #911993

 -- Miriam Ruiz <miriam@debian.org>  Wed, 27 Mar 2019 21:28:07 +0100

structure-synth (1.5.0-4) unstable; urgency=medium

  * Upgraded Standards-Version from 3.9.8 to 4.2.1.2
  * Switch to use QT5. Added patch qt5_win64.patch.
    - Closes: #874181 Closes: #875203

 -- Miriam Ruiz <miriam@debian.org>  Sat, 13 Oct 2018 03:10:17 +0200

structure-synth (1.5.0-3) unstable; urgency=medium

  * Upgraded Standards-Version from 3.9.3 to 3.9.8
  * Removed the menu file from the package
  * Fixed FTBFS with GCC 6. Closes: #811661
  * Moved packaging to git repository in collab-maint

 -- Miriam Ruiz <miriam@debian.org>  Thu, 19 May 2016 19:47:33 +0200

structure-synth (1.5.0-2) unstable; urgency=low

  * Switched application category to 'Graphics' in desktop. Closes: #606474
  * Upgraded Standards-Version from 3.9.1 to 3.9.3
  * Added build-arch and build-indep targets to debian/rules
  * Removed changelog.txt from debian/docs
  * Modified debian/rules to use fortified libc functions.
    See: http://wiki.debian.org/Hardening
  * Upgraded debian/compat from 7 to 9.
  * Change email address to miriam@debian.org

 -- Miriam Ruiz <miriam@debian.org>  Thu, 15 Nov 2012 08:33:08 +0100

structure-synth (1.5.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/gcc4.7.patch: Fix FTBFS with g++ 4.7. (Closes: #672000)
  * debian/rules: Link against GLU to fix build failure.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 14 May 2012 11:15:14 +0200

structure-synth (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Using source package format "3.0 (quilt)"
  * Upgraded Standards-Version from 3.8.2 to 3.9.1
  * Added binary package with debugging symbols: structure-synth-dbg
  * Added patch fix_help.patch to prevent index out of range. Corrected in
    upstream's SVN repository
  * Sunflow example fixed. Closes: #601413
  * Removed dependency from sng
  * Updated debian/copyright

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 25 Nov 2010 16:26:37 +0100

structure-synth (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Updated package description in debian/control
  * Do not install Examples/DontDeploy
  * Standards-Version upgraded to 3.8.2. No changes needed
  * Removed dh_desktop from debian/rules

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 10 Jul 2009 16:57:03 +0200

structure-synth (0.9.5.1-1) unstable; urgency=low

  * New upstream release

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 17 May 2009 16:09:43 +0200

structure-synth (0.9-1) unstable; urgency=low

  * Initial release. Closes: #511188

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 13 Apr 2009 13:28:45 +0200
