=== debian/control ===
Source: structure-synth
Section: graphics
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper (>= 9), quilt, dh-buildinfo,
 libx11-dev, mesa-common-dev, libgl1-mesa-dev, libglu1-mesa-dev, freeglut3-dev,
 libxext-dev, qt5-qmake, qtbase5-dev, qtbase5-dev-tools, qtscript5-dev,
 libqt5opengl5-desktop-dev, qt5-qmake:native
Standards-Version: 4.5.1.0
Homepage: http://structuresynth.sourceforge.net/

Package: structure-synth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: sunflow
Description: application for creating 3D structures
 Structure Synth is a tool for generating 3D structures by specifying a
 design grammar. Even simple systems may generate surprising and complex
 structures. Structure Synth offers a graphical environment with multiple
 tabs, syntax highlighting, and OpenGL preview. Integration with third-party
 renderers (such as Sunflow and POV-Ray) is possible using a flexible
 template based export system.
 .
 Structure Synth has been developed by Mikael Hvidtfeldt Christensen. It was
 inspired by the CFDG syntax by Chris Coyne, and the Context Free Art GUI by
 Mark Lentczner and John Horigan.

Package: structure-synth-dbg
Section: debug
Priority: extra
Architecture: any
Depends: structure-synth (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: application for creating 3D structures
 Structure Synth is a tool for generating 3D structures by specifying a
 design grammar. Even simple systems may generate surprising and complex
 structures. Structure Synth offers a graphical environment with multiple
 tabs, syntax highlighting, and OpenGL preview. Integration with third-party
 renderers (such as Sunflow and POV-Ray) is possible using a flexible
 template based export system.
 .
 This package contains the debugging symbols.
