=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
export QT_SELECT = qt5

config: config-stamp
config-stamp:
	dh_testdir
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make patch
	touch $@

build-indep:

build-arch: build-stamp
build-stamp: config-stamp  
	dh_testdir
	qmake -project \
		-after "CONFIG+=opengl" -after "QT+=xml opengl script" -after "unix:LIBS+=-lGLU"
	dh_auto_configure
	$(MAKE) \
		CFLAGS="$(CFLAGS) -fPIC -DDATADIR=\\\"/usr/share/structure-synth\\\"" \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) -fPIC -DDATADIR=\\\"/usr/share/structure-synth\\\"" \
		LFLAGS="$(LDFLAGS) -Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined" \
		TARGET="structure-synth"
	touch $@

build: build-indep build-arch

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	test ! -e Makefile || $(MAKE) distclean \
		TARGET="structure-synth"
	rm -f *.pro .qmake.stash
	[ ! -d debian/patches ] || $(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/structure-synth install

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog.txt
	dh_installdocs
	dh_installexamples
	dh_install
	rm -rf `find debian/structure-synth -name .svn`
	dh_installman debian/structure-synth.1
	dh_link
	dh_strip --dbg-package=structure-synth-dbg
	dh_compress
	dh_fixperms
	[ ! -e /usr/bin/dh_buildinfo ] || dh_buildinfo
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	rm -f StructureSynth-Source-v1.0.0.zip
	rm -rf "Structure Synth Source Code"
	wget http://downloads.sourceforge.net/sourceforge/structuresynth/StructureSynth-Source-v1.0.0.zip?use_mirror=freefr
	unzip StructureSynth-Source-v1.0.0.zip
	rm StructureSynth-Source-v1.0.0.zip
	rm -r "Structure Synth Source Code"/Build/*
	rm -f ../structure-synth_1.0.0.orig.tar.gz
	tar cvfz ../structure-synth_1.0.0.orig.tar.gz "Structure Synth Source Code"
	rm -r "Structure Synth Source Code"

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install config
